# $Revision: 1.14 $, $Date: 2004/05/07 01:12:25 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	CzFast
Summary:	CzFast - Perl module for Czech charsets manipulation
Summary(pl):	CzFast - modu Perla do manipulacji czeskimi zestawami znakw
Name:		perl-CzFast
Version:	0.10
Release:	4
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/T/TR/TRIPIE/%{pnam}-%{version}.tar.gz
# Source0-md5:	03f8221f66f181f8c08c121c4707e2d9
Source1:	%{pnam}.3pm
URL:		http://www.cpan.org/authors/id/T/TR/TRIPIE/%{pnam}-%{version}.readme
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CzFast is a Perl module for Czech charsets manipulation. It uses
character tables created by Jaromir Dolecek for the Csacek project
(http://www.csacek.cz/).

%description -l pl
CzFast jest moduem Perla do manipulacji czeskimi zestawami znakw.
Korzysta on z tablic przekodowa utworzonych przez Jaromira Dolecka
na potrzeby projektu Csacek (http://www.csacek.cz/).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/cs/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_mandir}/man3/CzFast.3pm* $RPM_BUILD_ROOT%{_mandir}/cs/man3
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/CzFast.pm
%dir %{perl_vendorarch}/auto/CzFast
%{perl_vendorarch}/auto/CzFast/CzFast.bs
%attr(755,root,root) %{perl_vendorarch}/auto/CzFast/CzFast.so
%{_mandir}/man3/*
%lang(cs) %{_mandir}/cs/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CzFast.spec,v $
Revision 1.14  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.13  2004/05/06 18:09:27  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/05 11:02:12  ankry
- cosmetics

Revision 1.11  2004/04/20 10:08:05  ankry
- new bconds

Revision 1.10  2004/04/18 23:21:48  ankry
- license/summary fixes and cosmetics

Revision 1.9  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:46:57  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.3  2002/09/29 10:43:12  ankry
- release 2

Revision 1.2  2002/09/26 12:14:06  ankry
- typos

Revision 1.1  2002/08/26 12:56:58  ankry
- initial release, STBR

